package com.ruoyi.cs.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 资源分类对象 cs_resource_class
 *
 * @author ruoyi
 * @date 2024-04-22
 */
public class CsResourceClass extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 资源分类主键ID */
    private String resourceClassId;

    /** 资源分类名 */
    @Excel(name = "资源分类名")
    private String resourceClassName;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 状态：0-正常，1-隐藏 */
    @Excel(name = "状态：0-正常，1-隐藏")
    private String status;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    private String delFlag;

    public void setResourceClassId(String resourceClassId)
    {
        this.resourceClassId = resourceClassId;
    }

    public String getResourceClassId()
    {
        return resourceClassId;
    }
    public void setResourceClassName(String resourceClassName)
    {
        this.resourceClassName = resourceClassName;
    }

    public String getResourceClassName()
    {
        return resourceClassName;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setSort(Integer sort)
    {
        this.sort = sort;
    }

    public Integer getSort()
    {
        return sort;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("resourceClassId", getResourceClassId())
            .append("resourceClassName", getResourceClassName())
            .append("content", getContent())
            .append("status", getStatus())
            .append("sort", getSort())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
